## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate drm

Name:           rust-drm
Version:        0.14.1
Release:        %autorelease
Summary:        Safe, low-level bindings to the Direct Rendering Manager API

License:        MIT
URL:            https://crates.io/crates/drm
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          drm-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop example-only rustyline dev-dependency
# * drop example tests
# * regenerate bindings by default
Patch:          drm-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe, low-level bindings to the Direct Rendering Manager API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "use_bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+use_bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
rm -r examples/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 13 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.14.1-2
- Update rust2rpm.toml and regenerate

* Mon May 12 2025 solomocyj <solomoncyj@gmail.com> - 0.14.1-1
- bump to 0.14.1

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1; Fixes: RHBZ#2240194

* Sun Oct 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-2
- Drop outdated, examples-only rustyline dev-dependency

* Sun Jul 23 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.0-1
- Initial import; Fixes: RHBZ#2224816
## END: Generated by rpmautospec
